%global pkgname gbnp

Name:           gap-pkg-%{pkgname}
Version:        1.0.3
Release:        4%{?dist}
Summary:        Computing Gröbner bases of noncommutative polynomials

License:        LGPLv2+
URL:            http://mathdox.org/gbnp/
Source0:        http://mathdox.org/products/%{pkgname}/GBNP-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex

Requires:       gap-core

%description
GBNP provides GAP algorithms for computing Gröbner bases of
non-commutative polynomials with coefficients from a field implemented in
GAP, and some variations, such as a weighted and truncated version and a
tracing facility.

The word algorithm is interpreted loosely: in general one cannot expect
such an algorithm to terminate, as it would imply solvability of the
word problem for finitely presented (semi)groups.

%package doc
Summary:        GBNP documentation and examples

%description doc
Documentation and examples for GBNP.

%prep
%setup -q -n %{pkgname}

%build
make %{?_smp_mflags} doc

%install
# We install test files for use by GAP's internal test suite runner.
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{.depend,Changelog,COPYRIGHT,GNUmakefile,README*,TODO}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/build
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,in,ind,log,new,out,pnr,tex,toc}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/nmo/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/examples
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/TODO
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/examples/{head.txt,makedepend,GNUmakefile,TODO,txt2xml.sed}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/lib/{gbnp-uses.sed,OPTIONS,STRUCTURE,TODO}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/test/{.depend,GNUmakefile,nmo,txt2xml.sed}
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/version/README.in

%check
make tests

%files
%doc Changelog README
%license COPYRIGHT doc/LGPL
%{_gap_dir}/pkg/%{pkgname}/
%exclude %{_gap_dir}/pkg/%{pkgname}/doc/
%exclude %{_gap_dir}/pkg/%{pkgname}/examples/

%files doc
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%dir %{_gap_dir}/pkg/%{pkgname}/
%{_gap_dir}/pkg/%{pkgname}/doc/

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul  1 2016 Jerry James <loganjerry@gmail.com> - 1.0.3-3
- Make -doc own the main package directory
- Do not package the .tex source files
- Explain why the test filees are installed

* Mon Jun  6 2016 Jerry James <loganjerry@gmail.com> - 1.0.3-2
- Add a -doc subpackage
- Exclude more files from the binary RPM

* Fri May 27 2016 Jerry James <loganjerry@gmail.com> - 1.0.3-1
- Initial RPM
